<a
  [routerLink]="'/categories/funfair'"
  *transloco="let t; scope: 'feature_funfair'"
  class="card"
>
  <div class="image-container top-image-container">
    <img
      alt="Top decoration"
      class="top-image"
      data-dark-src="/assets/feature-funfair/countdown/dark/top.svg"
      data-light-src="/assets/feature-funfair/countdown/light/top.svg"
      src="/assets/feature-funfair/countdown/dark/top.svg"
    />
  </div>
  <div class="card-container">
    @if (!countdownEnded) {
      <div
        *ngFor="
          let key of ['days', 'hours', 'minutes', 'seconds'];
          let i = index
        "
        class="countdown-container"
      >
        <div class="time-container" *ngIf="shouldDisplayUnit(key)">
          <span class="countdown">{{ getCountdownValue(key) }}</span>
          <p>{{ t('feature_funfair.countdown.' + key) }}</p>
        </div>
      </div>
    } @else {
      <p class="countdown-ended">
        <ng-container
          *ngFor="
            let letter of t('feature_funfair.funfair-card.over').split('');
            let i = index
          "
        >
          <span [ngClass]="getColorClass(i)">{{ letter }}</span>
        </ng-container>
      </p>
    }
  </div>
  <div class="image-container bottom-image-container">
    <img
      alt="Bottom decoration"
      class="bottom-image"
      data-dark-src="/assets/feature-funfair/countdown/dark/bottom.svg"
      data-light-src="/assets/feature-funfair/countdown/light/bottom.svg"
      src="/assets/feature-funfair/countdown/dark/bottom.svg"
    />
  </div>
</a>
